import 'package:flutter/material.dart';

import '../data/users.dart';
import '../model/user.dart';
import '../widget/story_widget.dart';

class StoryPage extends StatefulWidget {
  final User user;

  const StoryPage({
    required this.user,
    Key? key,
  }) : super(key: key);

  @override
  // ignore: library_private_types_in_public_api
  _StoryPageState createState() => _StoryPageState();
}

class _StoryPageState extends State<StoryPage> {
  late PageController _pageController;

  @override
  void initState() {
    super.initState();

    final initialPage = users.indexOf(widget.user);
    _pageController = PageController(initialPage: initialPage);
  }

  @override
  void dispose() {
    _pageController.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) => PageView(
        controller: _pageController,
        children: users
            .map((user) => StoryWidget(
                  user: user,
                  controller: _pageController,
                ))
            .toList(),
      );
}
