// ignore_for_file: avoid_print, library_private_types_in_public_api

import 'package:flutter/material.dart';
import 'package:flutter_camera/flutter_camera.dart';

import '../model/story.dart';
import 'my_story.dart';

class CameraPage extends StatefulWidget {
  const CameraPage({Key? key}) : super(key: key);

  @override
  _CameraPageState createState() => _CameraPageState();
}

class _CameraPageState extends State<CameraPage> {
  @override
  Widget build(BuildContext context) {
    return FlutterCamera(
      color: Colors.amber,
      onImageCaptured: (value) {
        final path = value.path;
        List<Story> stories = [];
        print("::::::::::::::::::::::::::::::::: $path");
        stories.add(Story(
          mediaType: MediaType.image,
          url: path.toString(),
        ));
        if(path != null){
          Navigator.of(context).push(
              MaterialPageRoute(builder: (context) => MyStoryScreen(stories: stories)
              )
          );
        }
      },
      onVideoRecorded: (value) {
        final path = value.path;
        List<Story> stories = [];
        stories.add(Story(
          mediaType: MediaType.video,
          url: path.toString(),
        ));
        if(path != null){
          Navigator.of(context).push(
              MaterialPageRoute(builder: (context) => MyStoryScreen(stories: stories)
              )
          );
        }
      },
    );
    // return Container();
  }

}